"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var react_native_zoomable_view_1 = require("@openspacelabs/react-native-zoomable-view");
var react_1 = require("react");
var react_native_1 = require("react-native");
function ZoomView(props) {
    var imageUrl = props.imageUrl, imageWidth = props.imageWidth;
    var zoomableViewRef = (0, react_1.createRef)();
    return (<react_native_zoomable_view_1.ReactNativeZoomableView maxZoom={5} minZoom={1} zoomStep={0.5} initialZoom={1} bindToBorders={true} ref={zoomableViewRef} onTransform={function (ev) {
            props.onZoom(ev.zoomLevel);
        }} onZoomEnd={function (_, _a, event) {
            var _b;
            if (event.zoomLevel < 1.2) {
                (_b = zoomableViewRef.current) === null || _b === void 0 ? void 0 : _b.zoomTo(1);
                props.onZoom(1);
            }
        }}>
      <react_native_1.Image source={{ uri: imageUrl }} style={{
            width: imageWidth,
            height: imageWidth / 1.3,
        }}/>
    </react_native_zoomable_view_1.ReactNativeZoomableView>);
}
exports.default = ZoomView;
//# sourceMappingURL=ZoomView.js.map